﻿  
ods html ;
** ods listing style=HTMLBlue gpath="&outpath" image_dpi=200;

proc format;
  value $type 
  "Hybrid", "Sedan" = "Passenger Cars"
  "SUV", "Wagon" = "Larger Cars"
  "Truck", "Sports" = "Sports/Trucks";
run;

/*--PIE-- SAS 9.4M6 (preproduction)*/
ods graphics / reset width=6in height=4in imagename='Pie';
title '1) Vehicle Distribution (PIE)';
proc sgpie data=sashelp.cars;
  format type $type.;
  styleattrs datacolors=(green purple blue);
  pie type / startangle=270 dataskin=gloss;
run;

/*--DONUT--*/
ods graphics / reset width=6in height=4in imagename='Donut';
title '2) Vehicle Distribution (DONUT)';
proc sgpie data=sashelp.cars;
  format type $type.;
  styleattrs datacolors=(green purple blue);
  donut type / startangle=270 holevalue holelabel='Count' ringsize=0.65 dataskin=gloss;
run;
