** PROC SGPLOT;
proc sgplot data=orion.back_orders;
  vbar region;
title "Frequency Count by Region";
run;

** TEMPLATE and SGRENDER;
proc template;
define statgraph sgdesign;
dynamic _ORDER_MONTH;
begingraph;
layout lattice _id='lattice' / columndatarange=data columngutter=10 rowdatarange=data rowgutter=10;
         layout overlay _id='overlay' /;
            barchart _id='bar' x=_ORDER_MONTH / name='bar' stat=freq;
         endlayout;
endlayout;
endgraph;
end;
run;

proc sgrender data=ORION.ORDER_SUMMARY template=sgdesign;
dynamic _ORDER_MONTH="'ORDER_MONTH'n";
run;
