** VBAR and HBAR all defaults on size and colors;
proc sgplot data=orion.back_orders;
  vbar region/response=number_of_orders stat=sum;
title "Backorders by Region";
run;

proc sgplot data=orion.back_orders;
  hbar region/response=number_of_orders stat=sum;
title "Backorders by Region";
run;

** Control size and format extension with ODS Graphics Statement;
** Control colors with FILLATTRS option;
ods graphics / height=200px width=500px imagefmt=jpeg;
proc sgplot data=orion.back_orders;
  vbar region/response=number_of_orders
       fillattrs=(color="verylightred")
       datalabel;
title "Back Orders by Region";
run;

** reset size and format before HBAR;
ods graphics / reset=all imagefmt=png;
proc sgplot data=orion.back_orders;
  hbar region/response=number_of_orders
       fillattrs=(color="verylightred")
       datalabel;
title "Back Orders by Region";
run;
ods graphics / reset;
